- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions

# GLM_GTC_matrix_access: Access matrix rows and columns

GTC Extensions (Stable)

Defines functions to access rows or columns of a matrix easily. More...

## Functions
template<typename genType >
genType::col_type | column (genType const &m, int index)
template<typename genType >
genType | column (genType const &m, int index, typename genType::col_type const &x)
template<typename genType >
genType::row_type | row (genType const &m, int index)
template<typename genType >
genType | row (genType const &m, int index, typename genType::row_type const &x)

## Detailed Description

Defines functions to access rows or columns of a matrix easily.

<glm/gtc/matrix_access.hpp> need to be included to use these functionalities.

## Function Documentation

genType::col_type glm::column | ( | genType const & | m,
|  | int | index
| ) |  |

Get a specific column of a matrix.

See also:
  - GLM_GTC_matrix_access: Access matrix rows and columns

genType glm::column | ( | genType const & | m,
|  | int | index,
|  | typename genType::col_type const & | x
| ) |  |

Set a specific column to a matrix.

See also:
  - GLM_GTC_matrix_access: Access matrix rows and columns

genType::row_type glm::row | ( | genType const & | m,
|  | int | index
| ) |  |

Get a specific row of a matrix.

See also:
  - GLM_GTC_matrix_access: Access matrix rows and columns

genType glm::row | ( | genType const & | m,
|  | int | index,
|  | typename genType::row_type const & | x
| ) |  |

Set a specific row to a matrix.

See also:
  - GLM_GTC_matrix_access: Access matrix rows and columns